<?php 
/**
#	Project: PHPDISK File Storage Solution
#	This is NOT a freeware, use is subject to license terms.
#
#	Site: http://www.phpdisk.com
#
#	$Id: upload.inc.php 55 2014-03-18 03:16:43Z along $
#
#	Copyright (C) 2008-2016 PHPDisk Team. All Rights Reserved.
#
*/

if(!defined('IN_PHPDISK') || !defined('IN_MYDISK')) {
	exit('[PHPDisk] Access Denied');
}
$uid = (int)gpc('uid','G','');
$sign = trim(gpc('sign','G',''));
$folder_id = (int)gpc('folder_id','G','');
$success = trim(gpc('success','G',''));
if($sign<>md5($uid.$settings[encrypt_key].date('Ymd'))){
	exit('验证非法，请在页面中重新打开上传框。');
}
if($settings[h5_upload_ext]){
	$h5_upload_ext = '';
	$arr = explode(',',$settings[h5_upload_ext]);
	for ($i=0;$i<count($arr);$i++){
		$h5_upload_ext .= "'.$arr[$i]',";
	}
	$h5_upload_ext = $h5_upload_ext ? substr($h5_upload_ext,0,-1) : '';
}
require_once template_echo('h5upload',$user_tpl_dir);


?>